Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ServiceDetailHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ServiceDetailHelper

public class ServiceDetailHelper
extends java.lang.Object

Helper class for : ServiceDetail

Author:
  OpenORB Compiler

Constructor Summary
`ServiceDetailHelper()`

Method Summary
`static ServiceDetail` | `extract(Any a)` Extract ServiceDetail from an any
`static java.lang.String` | `id()` Return the ServiceDetail IDL ID
`static void` | `insert(Any a, ServiceDetail t)` Insert ServiceDetail into an any
`static ServiceDetail` | `read(InputStream istream)` Read ServiceDetail from a marshalled stream
`static TypeCode` | `type()` Return the ServiceDetail TypeCode
`static void` | `write(OutputStream ostream, ServiceDetail value)` Write ServiceDetail into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceDetailHelper

    public ServiceDetailHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServiceDetail t)

  Insert ServiceDetail into an any
  Parameters:
    `a` - an any
    `t` - ServiceDetail value

### extract

    public static ServiceDetail extract(Any a)

  Extract ServiceDetail from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServiceDetail value

### type

    public static TypeCode type()

  Return the ServiceDetail TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServiceDetail IDL ID
  Returns:
    an ID

### read

    public static ServiceDetail read(InputStream istream)

  Read ServiceDetail from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServiceDetail value

### write

    public static void write(OutputStream ostream,
                             ServiceDetail value)

  Write ServiceDetail into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServiceDetail value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD